<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:param name="ID" value="XCA2"/>
	<ui:define name="body">
		<h:form id="globalForm">
			<rich:messages globalOnly="true" styleClass="message" />

			#{xcaRetrieveManager.init()}
			<s:div id="globalDiv">
				<h1>#{xcaRetrieveManager.getTheNameOfThePage()}</h1>
				<gri:panel id="mainPanel">
					<f:facet name="header">#{xcaRetrieveManager.getTheNameOfThePage()}</f:facet>
					<s:div
						rendered="#{xcaRetrieveManager.selectedAffinityDomain!= null and xcaRetrieveManager.selectedTransaction!= null}">
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} " />
						<h:outputText
							value="#{xcaRetrieveManager.selectedTransaction.keyword}" />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.TheRequestGeneratedAllowToRetrieveADocumentorALi']}" />
						<br />
						<h:outputText
							value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} " />
						<br />
						<ul>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} " />
								<h:outputLink
                                        value="/XDStarClient/configuration/common/configurations.seam"
                                        title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
								<h:outputText value=". " /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequestForEachDocumentYouAre']}" /></li>
							<li><h:outputText
									value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToRetrieveDocuments']}" /></li>
						</ul>
					</s:div>
					<s:div id="configurationDiv">
						<ui:include src="/simu/header.xhtml">
							<ui:param name="divToRerender"
									  value="messageConfigurationDiv,messagesDiv,actionButtons"/>
							<ui:param name="simuManager" value="#{xcaRetrieveManager}" />
							<ui:param name="diagramFile"
                                      value="/img/XCA.png"/>
							<ui:param name="sourceID"
								value="#{xcaRetrieveManager.getSourceOid()}" />
							<ui:param name="homeCommunityID"
								value="#{xcaRetrieveManager.gethomeCommunityId()}" />
							<ui:param name="simulatorConfigurationName"
								value="#{messages['net.ihe.gazelle.xdstar.INITGatewaySimulator']}" />
							<ui:param name="displaySourceId" value="#{false}" />
							<ui:param name="displayhomeCommunityId" value="#{true}" />
						</ui:include>
						<s:div id="messageConfigurationDiv">
							<!-- MESSAGE TYPE -->
							<s:div id="messageTypeDiv">
								<s:decorate id="decorate" template="/layout/display/_display.xhtml">
									<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MessageType']}</ui:define>
									<h:outputText
										value="#{messages['net.ihe.gazelle.xdstar.CrossGatewayRetrieve']}" />
								</s:decorate>
							</s:div>
							<s:div id="messageConfigurationDivR"
								rendered="#{xcaRetrieveManager.selectedConfiguration != null}">
								<f:subview id="subview_1">
									<ui:include src="/rdscommon/parameters.xhtml">
										<ui:param name="commonRDSManagerBean"
											value="#{xcaRetrieveManager}" />
										<ui:param name="isX" value="#{true}" />
									</ui:include>
								</f:subview>
								<!-- XUA -->
								<f:subview id="subview_2">
									<ui:include src="/simu/xua.xhtml">
										<ui:param name="simuManager" value="#{xcaRetrieveManager}" />
									</ui:include>
								</f:subview>
							</s:div>
						</s:div>
					</s:div>
					<!-- send button -->
					<s:div id="actionButtons">
						<a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
							oncomplete="jq162('#previewMessagePanel').modal('show');"
							value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
							rendered="#{xcaRetrieveManager.selectedConfiguration != null}"
							render="previewMessagePanel" />
						<a4j:commandButton id="sendButton" styleClass="gzl-btn-green"
							actionListener="#{xcaRetrieveManager.sendMessage()}"
							value="#{messages['gazelle.xca.initgw.Execute']}"
							rendered="#{xcaRetrieveManager.selectedConfiguration != null}"
							render="messagesDiv" />
						<!-- reset button -->
						<a4j:commandButton id="resetButton" styleClass="gzl-btn"
							actionListener="#{xcaRetrieveManager.reset()}"
							value="#{messages['gazelle.xca.initgw.Reset']}"
							render="globalDiv" />
					</s:div>
				</gri:panel>
				<!--  response div -->
				<s:div id="messagesDiv">
					<gri:panel id="messagesPanel"
						rendered="#{xcaRetrieveManager.displayResultPanel == true}">
						<f:facet name="header">#{messages['gazelle.xca.initgw.ExecutionSummary']}</f:facet>
						#{allMessageManagerBean.listMessagesToDisplay()}
						<f:subview id="subview_3">
							<ui:include id="messageTable" src="/messages/messageTable.xhtml">
								<ui:param name="messageManagerBean"
									value="#{allMessageManagerBean}" />
							</ui:include>
						</f:subview>
					</gri:panel>
				</s:div>
			</s:div>
		</h:form>
		<gri:popupPanel id="previewMessagePanel" styleClass="modal-lg">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}" />
			</f:facet>
			<f:facet name="footer">
				<div align="right">
					<a4j:commandButton styleClass="gzl-btn"
									   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
									   onclick="jq162('#previewMessagePanel').modal('hide')"
									   execute="@this"/>
				</div>
			</f:facet>
			<h:form>
				<s:div id="previewMessagePanelDiv"
					rendered="#{xcaRetrieveManager.selectedConfiguration != null}"
					style="overflow: auto; width: 880px; height: 470px;">
					<gdk:insert id="highlightcontent"
						content="#{xcaRetrieveManager.previewMessage()}" highlight="xml" />
				</s:div>
			</h:form>
		</gri:popupPanel>
	</ui:define>
</ui:composition>
